#include <iostream>

using namespace std;

int main()
{
    long int N, K, i, j, br=0;
    cin >> N >> K;
    long int niz[N], niz3[2*N+1]={0};

    for(i=0; i<N; i++)
    {
        cin >> niz[i];
    }

    for(i=0; i<N; i++)
    {
        niz3[niz[i]+N]++;
    }

    for(i=0; i<N*2+1; i++)
    {
        if(niz3[i]>K-1)
        {
            br++;
        }
    }

    cout << br << endl;

    for(i=0; i<N*2+1; i++)
    {
        if(niz3[i]>K-1)
        {
            cout << i-N << " ";
        }
    }
}